# Description: See the PIPER framework or model documentation for more info.
# Author: KTH
# Version: 1.0.0
# License: Creative Commons Attribution 4.0 International License.
# (https://creativecommons.org/licenses/by/4.0/)
# 
# This work has received funding from the European Union Seventh Framework
# Program ([FP7/2007-2013]) under grant agreement 605544 [PIPER project]).
# Contributors include Chiara Giordano, Victor S. Alvarez, Xiaogai Li, Svein
# Kleiven [KTH]
# 
# -*- coding: utf-8 -*-
"""
Created on Wed Jan 25 14:48:19 2017

@author: chiaragi
"""
import numpy as np
import matplotlib.pyplot as plt
import os

# lsPath is a string with the location of Ls-Prepost on the computer
lsPath='C:\\LSTC\\LS-PrePost\\4.3-x64\\lsprepost4.3_x64.exe '
# resPath is a string with the location of the result folder "PIPER_Child_6YO_Validation" on the computer
resPath='X:\\chiara\\PIPER\\PIPERv04\\'
Path = lsPath+resPath

os.system(Path+'PIPER_Child_6YO_Validation\\Head\\ForeheadImpact15\\postprocessing.cfile -nographics')
os.system(Path+'PIPER_Child_6YO_Validation\\Head\\ForeheadImpact30\\postprocessing.cfile -nographics')
os.system(Path+'PIPER_Child_6YO_Validation\\Head\\VertexImpact15\\postprocessing.cfile -nographics')
os.system(Path+'PIPER_Child_6YO_Validation\\Head\\VertexImpact30\\postprocessing.cfile -nographics')
os.system(Path+'PIPER_Child_6YO_Validation\\Head\\OcciputImpact15\\postprocessing.cfile -nographics')
os.system(Path+'PIPER_Child_6YO_Validation\\Head\\OcciputImpact30\\postprocessing.cfile -nographics')
os.system(Path+'PIPER_Child_6YO_Validation\\Head\\LeftParietalImpact15\\postprocessing.cfile -nographics')
os.system(Path+'PIPER_Child_6YO_Validation\\Head\\LeftParietalImpact30\\postprocessing.cfile -nographics')
os.system(Path+'PIPER_Child_6YO_Validation\\Head\\RightParietalImpact15\\postprocessing.cfile -nographics')
os.system(Path+'PIPER_Child_6YO_Validation\\Head\\RightParietalImpact30\\postprocessing.cfile -nographics')
os.system(Path+'PIPER_Child_6YO_Validation\\Head\\Compression\\postprocessing.cfile -nographics')

Forehead15 = np.mat('0.0331751700000000,0.00220776540000000;0.132818600000000,1.38868450000000;0.265637200000000,2.77736900000000;0.348928870000000,6.96439600000000;0.448926060000000,12.5478350000000;0.565550150000000,18.5960080000000;0.632332860000000,23.7158160000000;0.699312150000000,31.1648180000000;0.733037600000000,37.6843500000000;0.766645130000000,42.8063660000000;0.833506460000000,48.8578500000000;0.867153350000000,54.4457050000000;0.934171860000000,62.3605420000000;0.984406350000000,67.9472960000000;1.05118910000000,73.0671000000000;1.10138420000000,78.1880100000000;1.16820620000000,83.7736600000000;1.23487100000000,87.4959500000000;1.33482890000000,92.6135560000000;1.41815980000000,97.2664200000000;1.50129440000000,99.5900900000000;1.66736670000000,101.908250000000;1.81673360000000,102.829990000000;1.96578600000000,100.025024000000;2.14785650000000,95.3544900000000;2.32976940000000,88.8206100000000;2.51168250000000,82.2867300000000;2.57767920000000,78.0897700000000;2.69347790000000,74.3553300000000;2.99091430000000,60.8261450000000;3.10663440000000,56.1600340000000;3.22227600000000,50.5622440000000;3.32140830000000,45.8972360000000;3.43697120000000,39.3677700000000;3.56920000000000,33.7688750000000;3.70150780000000,29.1016600000000;3.81722780000000,24.4355490000000;3.96592640000000,17.4380360000000;4.18105400000000,11.3677845000000;4.41280840000000,5.76226760000000;4.61162400000000,2.95399020000000;4.86024100000000,0.608239350000000;5.05925270000000,0.129154280000000;5.27489140000000,0.114803806000000;5.54029270000000,0.0971416800000000;5.77251860000000,0.0816873240000000;7,0')
Forehead30 = np.mat('0.0165483710000000,0.00110127310000000;0.148974460000000,0.455927040000000;0.231951040000000,3.24545170000000;0.331554230000000,6.96555230000000;0.398178070000000,12.0853710000000;0.481545870000000,19.5332810000000;0.548404400000000,27.4481300000000;0.648711800000000,39.5533200000000;0.682551860000000,48.4020540000000;0.732940260000000,57.2496800000000;0.783406900000000,67.0289840000000;0.850421970000000,76.8071900000000;0.917593500000000,88.4487460000000;0.984647630000000,98.6927900000000;1.01848770000000,107.541520000000;1.10189460000000,115.455270000000;1.16875310000000,123.370120000000;1.26863010000000,130.351090000000;1.36842900000000,136.400380000000;1.46807130000000,140.586320000000;1.61728050000000,143.837280000000;1.71672730000000,145.694020000000;1.93189510000000,146.145540000000;2.19631700000000,141.935380000000;2.41093730000000,135.865160000000;2.57571670000000,127.469055000000;2.83935620000000,113.942116000000;2.95406030000000,100.425095000000;3.10182200000000,86.4400250000000;3.26601460000000,71.0563400000000;3.39738440000000,58.9357300000000;3.46295200000000,51.4779100000000;3.59428260000000,38.8914600000000;3.72565250000000,26.7708470000000;3.89023640000000,16.0455500000000;4.05489870000000,6.25192740000000;4.20344260000000,1.58363070000000;4.38535740000000,0.174001140000000;4.63350500000000,0;4.89827870000000,0;5.16309170000000,0;5.51060770000000,0;5.87463240000000,0;6.18909070000000,0')
Forehead15_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\ForeheadImpact15\\ForeheadImpact15',skiprows=1)
Forehead30_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\ForeheadImpact30\\ForeheadImpact30',skiprows=1)

Vertex15 = np.mat('0,0;0.121527776000000,0.707964600000000;0.218750000000000,1.76991150000000;0.267361100000000,2.83185840000000;0.303819450000000,4.95575240000000;0.352430550000000,6.72566370000000;0.388888900000000,9.55752200000000;0.425347200000000,12.3893800000000;0.473958340000000,14.1592920000000;0.498263900000000,16.2831860000000;0.546875000000000,18.7610630000000;0.583333300000000,20.8849560000000;0.595486100000000,23.0088500000000;0.607638900000000,25.4867250000000;0.656250000000000,27.2566380000000;0.680555600000000,29.0265480000000;0.692708300000000,31.5044250000000;0.704861100000000,32.9203530000000;0.741319400000000,35.3982300000000;0.753472200000000,36.8141600000000;0.789930600000000,38.5840720000000;0.814236100000000,40.3539800000000;0.862847200000000,43.8938060000000;0.875000000000000,45.6637150000000;0.911458300000000,47.4336280000000;0.923611100000000,49.2035400000000;0.960069400000000,52.0353970000000;0.984375000000000,54.5132750000000;1.02083340000000,56.2831840000000;1.03298620000000,58.7610630000000;1.05729160000000,60.8849560000000;1.08159720000000,63.3628300000000;1.09375000000000,65.1327440000000;1.13020840000000,67.6106200000000;1.15451380000000,69.3805300000000;1.19097220000000,70.7964600000000;1.21527780000000,73.6283200000000;1.23958340000000,75.3982300000000;1.26388880000000,76.8141560000000;1.28819440000000,79.6460200000000;1.33680560000000,82.8318560000000;1.38541660000000,85.3097400000000;1.42187500000000,87.4336300000000;1.44618060000000,89.5575260000000;1.48263880000000,92.3893800000000;1.50694440000000,93.8053100000000;1.56770840000000,95.2212400000000;1.60416660000000,97.6991100000000;1.64062500000000,100.176994000000;1.68923620000000,102.300890000000;1.72569440000000,104.424780000000;1.81076380000000,106.194690000000;1.89583340000000,107.256640000000;2.01736120000000,108.672570000000;2.13888880000000,109.026550000000;2.22395830000000,107.964600000000;2.36979170000000,106.548676000000;2.47916670000000,102.654870000000;2.61284730000000,96.9911500000000;2.72222230000000,92.0354000000000;2.78298620000000,88.8495560000000;2.92881940000000,82.1238900000000;3.02604170000000,73.9823000000000;3.15972230000000,65.8407060000000;3.22048620000000,61.5929220000000;3.29340270000000,55.2212370000000;3.36631940000000,49.5575200000000;3.46354170000000,44.2477870000000;3.56076380000000,38.5840720000000;3.64583330000000,34.3362850000000;3.71875000000000,30.7964610000000;3.77951380000000,25.8407080000000;3.90104170000000,21.5929200000000;3.98611120000000,18.0530970000000;4.10763900000000,14.1592920000000;4.20486100000000,10.9734520000000;4.37500000000000,6.72566370000000;4.44791650000000,4.24778750000000;4.56944470000000,3.18584060000000;4.69097230000000,0.707964600000000;4.86111100000000,0;5.03125000000000,0;5.17708350000000,0;5.32291650000000,0;5.50520850000000,0;5.72395850000000,0;5.88194470000000,0;6.02777770000000,0;6.17361100000000,0;6.34375000000000,0;6.52604150000000,0;6.73263900000000,0;6.85416650000000,0;6.97569470000000,0')
Vertex30 = np.mat('0.0121316790000000,0;0.157774910000000,1.01968130000000;0.303523270000000,3.75228500000000;0.388781430000000,9.22758200000000;0.449755200000000,14.3616010000000;0.510708000000000,19.1531540000000;0.596155350000000,27.7106440000000;0.669429000000000,35.5837940000000;0.742660640000000,42.7720150000000;0.791481700000000,47.5641600000000;0.925687100000000,59.8864000000000;1.01119760000000,69.4712800000000;1.14527680000000,79.7387300000000;1.24298200000000,90.3504200000000;1.35271380000000,99.2491800000000;1.46236150000000,106.778090000000;1.51116140000000,111.227776000000;1.62070400000000,117.044350000000;1.69368340000000,120.122980000000;1.76676770000000,124.913940000000;1.85185780000000,127.649510000000;1.97325860000000,129.013440000000;2.09463860000000,130.034900000000;2.20384450000000,130.372020000000;2.34938260000000,129.679960000000;2.50696850000000,127.617460000000;2.66444900000000,123.842620000000;2.82178240000000,117.670520000000;2.94261550000000,109.787870000000;3.05142200000000,103.618150000000;3.16022900000000,97.4484250000000;3.26895140000000,89.9088400000000;3.35345270000000,83.0553700000000;3.45004340000000,75.5163700000000;3.53460800000000,69.6903000000000;3.60706160000000,64.2072800000000;3.71580500000000,57.0101620000000;3.78827980000000,51.8696140000000;3.92130780000000,45.0137700000000;4.04224630000000,38.8434520000000;4.16312100000000,31.6457350000000;4.29614930000000,24.7898900000000;4.41708760000000,18.6195720000000;4.63495350000000,10.3897100000000;4.86503460000000,3.52911850000000;5.10743700000000,0.249875350000000;5.32582800000000,0.0819068850000000;5.55633000000000,0.0706298500000000;5.89599600000000,0.288454680000000;6.34486800000000,0.310415240000000;6.58752300000000,0.0201799570000000;6.81800370000000,0.333562820000000;6.93934150000000,0.00296764080000000')
Vertex15_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\VertexImpact15\\VertexImpact15',skiprows=1)
Vertex30_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\VertexImpact30\\VertexImpact30',skiprows=1)

Occiput15 = np.mat('0.0501541800000000,0.451154400000000;0.217440590000000,2.26461840000000;0.401233430000000,3.60923530000000;0.568519900000000,5.42269950000000;0.685810800000000,7.24943260000000;0.787071470000000,10.9382830000000;0.888490860000000,15.0915575000000;0.990545100000000,21.1025280000000;1.10926450000000,27.1090740000000;1.17830590000000,34.0577350000000;1.24702980000000,40.0775530000000;1.33210130000000,45.1640970000000;1.41717300000000,50.2506400000000;1.46891440000000,55.3460300000000;1.53700340000000,59.5081520000000;1.63874030000000,64.5902800000000;1.72412930000000,70.6056700000000;1.84316610000000,77.5410600000000;1.96172680000000,83.0831800000000;2.06314600000000,87.2364600000000;2.18075470000000,89.9920350000000;2.31502820000000,92.7431950000000;2.41565400000000,94.5743500000000;2.56564020000000,94.5345460000000;2.74863960000000,93.5570450000000;2.94735170000000,89.7885740000000;3.14511160000000,83.2335700000000;3.30890630000000,74.8297100000000;3.50587250000000,65.9525800000000;3.63617800000000,57.0931500000000;3.81632040000000,47.7560230000000;4.01281070000000,37.4856260000000;4.17676400000000,29.5461920000000;4.37325430000000,19.2757930000000;4.55403140000000,11.7963610000000;4.73607830000000,8.03231800000000;4.93415550000000,2.40615700000000;5.20016340000000,0.477692930000000;5.44998170000000,0;5.78312640000000,0;7,0')
Occiput30 = np.mat('0,0;0.116425590000000,1.84644620000000;0.349198160000000,5.07386640000000;0.532601830000000,10.6352650000000;0.699496870000000,16.6643430000000;0.850197700000000,25.0229850000000;0.967959640000000,34.7824550000000;1.06952740000000,46.8714940000000;1.15411480000000,56.6353800000000;1.22195770000000,65.4705300000000;1.28987920000000,74.7711400000000;1.37446650000000,84.5350300000000;1.40937070000000,94.7710000000000;1.49372220000000,103.138466000000;1.57815240000000,111.971405000000;1.64615250000000,121.737495000000;1.74701270000000,129.637280000000;1.84779430000000,137.071610000000;1.98151480000000,143.105090000000;2.11492060000000,147.276690000000;2.26475670000000,150.515140000000;2.39729790000000,149.566540000000;2.61214690000000,144.883150000000;2.75970320000000,134.622910000000;2.97345140000000,123.422905000000;3.08767580000000,112.236130000000;3.20190020000000,101.049355000000;3.33239750000000,87.9984900000000;3.46297340000000,75.4130900000000;3.59315600000000,60.5003430000000;3.74000500000000,46.0508540000000;3.90351960000000,32.0646300000000;4.08409300000000,20.8690340000000;4.24831530000000,11.0720590000000;4.39681500000000,6.39748400000000;4.59515520000000,2.18176250000000;4.74396940000000,0.630924300000000;5.02603200000000,0;5.59007900000000,0')
Occiput15_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\OcciputImpact15\\OcciputImpact15',skiprows=1)
Occiput30_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\OcciputImpact30\\OcciputImpact30',skiprows=1)

LParietal15 = np.mat('0.0166659190000000,0.463630740000000;0.166108890000000,1.37543790000000;0.348962300000000,3.68034500000000;0.448721980000000,5.06461400000000;0.598400800000000,7.37393670000000;0.731964000000000,12.4804980000000;0.815608000000000,16.6620060000000;0.949485660000000,23.6319220000000;1.08367780000000,32.4651900000000;1.21779120000000,40.8326230000000;1.35214050000000,50.5975700000000;1.45260780000000,56.1743850000000;1.56966220000000,61.7489930000000;1.67028670000000,68.2574840000000;1.78702660000000,71.9687350000000;1.90392390000000,76.6116700000000;2.08717040000000,81.2457660000000;2.20351740000000,82.6278300000000;2.36954760000000,83.5374300000000;2.51851900000000,81.6542050000000;2.66725440000000,78.3734700000000;2.83234140000000,73.6930000000000;2.96409630000000,68.0852800000000;3.07926420000000,62.4797630000000;3.19443200000000,56.8742450000000;3.29316970000000,52.2026140000000;3.37524150000000,47.0673520000000;3.50707500000000,41.9254650000000;3.60581280000000,37.2538340000000;3.72121640000000,33.0458340000000;3.77050660000000,30.2441790000000;3.88591030000000,26.0361790000000;4.01790140000000,21.8259700000000;4.13322640000000,17.1521300000000;4.31490040000000,12.4694600000000;4.46363600000000,9.18872000000000;4.61245000000000,6.37381900000000;4.76150000000000,4.95643330000000;4.97689900000000,3.53021700000000;5.15912340000000,2.10841600000000;5.32476100000000,0.688822800000000;5.52373000000000,0.196491120000000;5.77253960000000,0.163374650000000;6.05452350000000,0.125842630000000;7,0')
LParietal30 = np.mat('0.0498020600000000,0.463964340000000;0.165993760000000,1.39078570000000;0.298890980000000,3.71835850000000;0.448454380000000,6.97939700000000;0.548373000000000,11.6456160000000;0.615195000000000,17.2486210000000;0.732015600000000,25.6520230000000;0.798916200000000,32.1896000000000;0.865934800000000,40.1290400000000;0.916365800000000,48.0695840000000;0.983502270000000,57.4108800000000;1.06726560000000,67.2183500000000;1.13412700000000,73.2886500000000;1.21765450000000,80.2924040000000;1.28447650000000,85.8954100000000;1.33475030000000,91.9668100000000;1.43470810000000,97.1003200000000;1.51807840000000,102.234924000000;1.58486120000000,107.370640000000;1.65152600000000,111.104510000000;1.76815010000000,117.171480000000;1.86787210000000,119.501270000000;1.95108520000000,122.766730000000;2.06719830000000,122.758980000000;2.15025400000000,124.155304000000;2.28283700000000,122.744590000000;2.43185000000000,119.463615000000;2.59721470000000,113.377820000000;2.72928670000000,105.892390000000;2.84473130000000,97.9407650000000;2.97672460000000,89.5207500000000;3.10875700000000,81.5680300000000;3.22420200000000,73.6164100000000;3.32317700000000,67.0677600000000;3.42203450000000,59.1172500000000;3.57069370000000,51.6307030000000;3.70264770000000,42.7434040000000;3.83471940000000,35.2579700000000;3.98337860000000,27.7714210000000;4.16525270000000,20.7499470000000;4.33081400000000,17.0005840000000;4.49621800000000,11.3820740000000;4.66177940000000,7.63271140000000;4.82741930000000,4.81792070000000;4.97658970000000,3.40609620000000;5.20865870000000,1.52144860000000;5.42421870000000,0.572481040000000;5.65644500000000,0.556978640000000;5.88863200000000,0.0741900000000000;6.20379600000000,0.0531510450000000;6.46923640000000,0;6.73463770000000,0;7,0')
LParietal15_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\LeftParietalImpact15\\ParietalLeftImpact15',skiprows=1)
LParietal30_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\LeftParietalImpact30\\ParietalLeftImpact30',skiprows=1)

RParietal15 = np.mat('0,0;0.165171300000000,0.912191570000000;0.330537300000000,4.13207530000000;0.463040320000000,9.20029100000000;0.579189800000000,16.1157470000000;0.678907750000000,23.9553700000000;0.762272100000000,33.6422350000000;0.828893600000000,40.5609600000000;0.928923100000000,52.0928880000000;1.01201490000000,58.5489850000000;1.11204430000000,70.0809200000000;1.19529200000000,78.3831600000000;1.32802860000000,86.2206100000000;1.47708000000000,91.7492750000000;1.64264060000000,97.2768500000000;1.82451590000000,100.495640000000;2.00600200000000,99.0990600000000;2.17082290000000,95.8574000000000;2.33533220000000,88.9234400000000;2.45035240000000,82.4542850000000;2.58164830000000,73.2148060000000;2.71290540000000,63.5137860000000;2.84431820000000,55.6589240000000;2.97565320000000,46.8809850000000;3.10683230000000,36.2568930000000;3.30416560000000,27.0130620000000;3.45212670000000,19.6186500000000;3.60008800000000,12.2242380000000;3.83067350000000,5.74746000000000;4.02855200000000,2.96516680000000;4.27599760000000,0.641146600000000;4.54010800000000,0.162191580000000;4.87029500000000,0.140420900000000;5.24997100000000,0;5.66274300000000,0;6.19104240000000,0;6.99996100000000,0')
RParietal30 = np.mat('0.0329409950000000,0.00217194580000000;0.181291730000000,1.37266970000000;0.313326980000000,4.59475140000000;0.429046750000000,9.66407200000000;0.528334800000000,15.1960180000000;0.594681800000000,20.7301350000000;0.644790900000000,29.0345700000000;0.694900000000000,37.3390050000000;0.745009000000000,45.6434400000000;0.795156840000000,54.4094120000000;0.845265900000000,62.7138440000000;0.895297470000000,70.0952100000000;0.928897260000000,77.9391860000000;0.945987800000000,85.3227160000000;1.04574100000000,96.3931200000000;1.12898480000000,107.003075000000;1.22881530000000,118.996560000000;1.34488390000000,128.219730000000;1.47711290000000,133.749500000000;1.70828120000000,140.657380000000;1.92259140000000,142.950940000000;2.20204730000000,136.470950000000;2.30021140000000,128.618290000000;2.44751600000000,117.531586000000;2.59458780000000,103.675660000000;2.75820760000000,90.7417200000000;2.88896400000000,78.7330300000000;3.03588080000000,63.0309500000000;3.11738060000000,52.8716740000000;3.23158900000000,39.9409940000000;3.36230660000000,27.4707700000000;3.52600400000000,15.4599090000000;3.64060000000000,7.14461500000000;3.75550580000000,2.52162890000000;3.88707610000000,0.205248860000000;4.06817400000000,0;4.28232900000000,0;4.56228880000000,0;4.82581700000000,0;5.10585400000000,0;5.41883230000000,0;5.81416270000000,0;6.17647500000000,0;6.67059000000000,0;6.98352960000000,0')
RParietal15_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\RightParietalImpact15\\ParietalRightImpact15',skiprows=1)
RParietal30_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\RightParietalImpact30\\ParietalRightImpact30',skiprows=1)

Displacement = np.mat('0;0.1;0.2;0.3;0.4;0.5;0.6;0.7;0.8;0.9;1;1.1;1.2;1.3;1.4;1.5;1.6;1.7;1.8;1.9;2;2.1;2.2;2.3;2.4;2.5;2.6;2.7')
Force = np.mat('0;3.401937079;4.987893691;8.062953765;12.33898349;20.46004691;27.89346262;34.42372942;41.2362895;50.37886564;69.49151965;90.04238054;113.1143994;129.0730927;145.0317859;169.0352128;201.7565271;239.5253912;274.8700596;307.4350203;342.3729;365.7448829;403.728757;464.5385526;514.2796463;562.7119156;598.1356153;627.7041736')
Force_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\Compression\\Force',skiprows=1)
Displacement_Sim = np.loadtxt(resPath+'PIPER_Child_6YO_Validation\\Head\\Compression\\Displacement',skiprows=1)


#f, ((ax1, ax2, ax3), (ax4, ax5, ax6)) = plt.subplots(2, 3,figsize=(18,10), sharex='col', sharey='row')
f = plt.figure(figsize=(18,12))
ax1 = f.add_subplot(231)
ax1.plot(Forehead15[:,0],Forehead15[:,1],'k', label='Loyd 15')
ax1.plot(Forehead15_Sim[:,0],Forehead15_Sim[:,1]*100,'--k', label='Sim 15')
ax1.plot(Forehead30[:,0],Forehead30[:,1],'b', label='Loyd 30')
ax1.plot(Forehead30_Sim[:,0],Forehead30_Sim[:,1]*100,'--b', label='Sim 30')
ax1.set_title('Forehead Impact')
ax1.set_xlim([0,5])
ax1.set_ylim([0,200])
ax1.set_xlabel('Time (ms)')
ax1.set_ylabel('Average Acceleration (g)')
plt.legend(loc=1)
ax2 = f.add_subplot(232)
ax2.plot(Vertex15[:,0],Vertex15[:,1],'k', label='Loyd 15')
ax2.plot(Vertex15_Sim[:,0],Vertex15_Sim[:,1]*100,'--k', label='Sim 15')
ax2.plot(Vertex30[:,0],Vertex30[:,1],'b', label='Loyd 30')
ax2.plot(Vertex30_Sim[:,0],Vertex30_Sim[:,1]*100,'--b', label='Sim 30')
ax2.set_title('Vertex Impact')
ax2.set_xlim([0,5])
ax2.set_ylim([0,200])
ax2.set_xlabel('Time (ms)')
ax2.set_ylabel('Average Acceleration (g)')
plt.legend(loc=1)
ax3 = f.add_subplot(233)
ax3.plot(Occiput15[:,0],Occiput15[:,1],'k', label='Loyd 15')
ax3.plot(Occiput15_Sim[:,0],Occiput15_Sim[:,1]*100,'--k', label='Sim 15')
ax3.plot(Occiput30[:,0],Occiput30[:,1],'b', label='Loyd 30')
ax3.plot(Occiput30_Sim[:,0],Occiput30_Sim[:,1]*100,'--b', label='Sim 30')
ax3.set_title('Occiput Impact')
ax3.set_xlim([0,5])
ax3.set_ylim([0,200])
ax3.set_xlabel('Time (ms)')
ax3.set_ylabel('Average Acceleration (g)')
plt.legend(loc=1)
ax4 = f.add_subplot(234)
ax4.plot(LParietal15[:,0],LParietal15[:,1],'k', label='Loyd 15')
ax4.plot(LParietal15_Sim[:,0],LParietal15_Sim[:,1]*100,'--k', label='Sim 15')
ax4.plot(LParietal30[:,0],LParietal30[:,1],'b', label='Loyd 30')
ax4.plot(LParietal30_Sim[:,0],LParietal30_Sim[:,1]*100,'--b', label='Sim 30')
ax4.set_title('Left Parietal Impact')
ax4.set_xlim([0,5])
ax4.set_ylim([0,200])
ax4.set_xlabel('Time (ms)')
ax4.set_ylabel('Average Acceleration (g)')
plt.legend(loc=1)
ax5 = f.add_subplot(235)
ax5.plot(RParietal15[:,0],RParietal15[:,1],'k', label='Loyd 15')
ax5.plot(RParietal15_Sim[:,0],RParietal15_Sim[:,1]*100,'--k', label='Sim 15')
ax5.plot(RParietal30[:,0],RParietal30[:,1],'b', label='Loyd 30')
ax5.plot(RParietal30_Sim[:,0],RParietal30_Sim[:,1]*100,'--b', label='Sim 30')
ax5.set_title('Right Parietal Impact')
ax5.set_xlim([0,5])
ax5.set_ylim([0,200])
ax5.set_xlabel('Time (ms)')
ax5.set_ylabel('Average Acceleration (g)')
plt.legend(loc=1)
ax6 = f.add_subplot(236)
ax6.plot(Displacement,Force,'k', label='Loyd')
ax6.plot(-Displacement_Sim[:len(Displacement_Sim)-1,1],Force_Sim[:,1]*1000,'--k', label='Sim')
ax6.set_title('Compression 0.3/s')
ax6.set_xlim([0,2.7])
ax6.set_ylim([0,700])
ax6.set_xlabel('Deflection (mm)')
ax6.set_ylabel('Resultant Force(N)')
plt.legend(loc=1)
plt.show()
f.savefig('Head_CurveComparison.png')
